<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Cogl - a modern 3D graphics API</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="Cogl 2.0 Reference Manual">
<link rel="up" href="index.html" title="Cogl 2.0 Reference Manual">
<link rel="prev" href="index.html" title="Cogl 2.0 Reference Manual">
<link rel="next" href="cogl-general-apis.html" title="General API concepts">
<meta name="generator" content="GTK-Doc V1.18.1 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2"><tr valign="middle">
<td><a accesskey="p" href="index.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
<td> </td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
<th width="100%" align="center">Cogl 2.0 Reference Manual</th>
<td><a accesskey="n" href="cogl-general-apis.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
</tr></table>
<div class="chapter">
<div class="titlepage"><div><div><h1 class="title">
<a name="idm139985020794992"></a>Cogl - a modern 3D graphics API</h1></div></div></div>
<div class="toc"><dl class="toc">
<dt><span class="section"><a href="ch01.html#cogl-intro">About Cogl</a></span></dt>
<dt><span class="section"><a href="cogl-general-apis.html">General API concepts</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-The-Object-Interface.html">The Object Interface</a></span><span class="refpurpose"></span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Exception-handling.html">Exception handling</a></span><span class="refpurpose"> — A way for Cogl to throw exceptions</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Common-Types.html">Common Types</a></span><span class="refpurpose"> — Types used throughout the library</span>
</dt>
</dl></dd>
<dt><span class="section"><a href="cogl-context-apis.html">Setting Up A Drawing Context</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-CoglRenderer---Connect-to-a-backend-renderer.html">CoglRenderer: Connect to a backend renderer</a></span><span class="refpurpose"> — Choosing a means to render</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-CoglOnscreenTemplate---Describe-a-template-for-onscreen-framebuffers.html">CoglOnscreenTemplate: Describe a template for onscreen framebuffers</a></span><span class="refpurpose"></span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-CoglDisplay---Setup-a-display-pipeline.html">CoglDisplay: Setup a display pipeline</a></span><span class="refpurpose"> — Common aspects of a display pipeline</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-The-Top-Level-Context.html">The Top-Level Context</a></span><span class="refpurpose"> — The top level application context.</span>
</dt>
</dl></dd>
<dt><span class="section"><a href="cogl-pipeline-apis.html">Setting Up A GPU Pipeline</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-Blend-Strings.html">Blend Strings</a></span><span class="refpurpose"> — A simple syntax and grammar for describing blending and texture
combining functions.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Pipeline.html">Pipeline</a></span><span class="refpurpose"> — Functions for creating and manipulating the GPU
                    pipeline</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Depth-State.html">Depth State</a></span><span class="refpurpose"> — Functions for describing the depth testing
                    state of your GPU.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Shader-snippets.html">Shader snippets</a></span><span class="refpurpose"> — Functions for creating and manipulating shader snippets</span>
</dt>
</dl></dd>
<dt><span class="section"><a href="cogl-buffer-apis.html">Allocating GPU Memory</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-CoglBuffer---The-Buffer-Interface.html">CoglBuffer: The Buffer Interface</a></span><span class="refpurpose"> — Common buffer functions, including data upload APIs</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-CoglAttributeBuffer---Buffers-of-vertex-attributes.html">CoglAttributeBuffer: Buffers of vertex attributes</a></span><span class="refpurpose"> — Functions for creating and manipulating attribute
  buffers</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-CoglIndexBuffer---Buffers-of-vertex-indices.html">CoglIndexBuffer: Buffers of vertex indices</a></span><span class="refpurpose"> — Functions for creating and manipulating vertex
indices.</span>
</dt>
</dl></dd>
<dt><span class="section"><a href="cogl-buffer-layout-apis.html">Describing the layout of GPU Memory</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Vertex-Attributes.html">Vertex Attributes</a></span><span class="refpurpose"> — Functions for declaring and drawing vertex
   attributes</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Indices.html">Indices</a></span><span class="refpurpose">Describe vertex indices stored in a <span class="type">CoglIndexBuffer</span>.</span>
</dt>
</dl></dd>
<dt><span class="section"><a href="cogl-primitive-apis.html">Geometry</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Primitives.html">Primitives</a></span><span class="refpurpose"> — Functions for creating, manipulating and drawing
   primitives</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Path-Primitives.html">Path Primitives</a></span><span class="refpurpose"></span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Rectangles.html">Rectangles</a></span><span class="refpurpose"></span>
</dt>
</dl></dd>
<dt><span class="section"><a href="cogl-textures.html">Textures</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Bitmap.html">Bitmap</a></span><span class="refpurpose"> — Functions for loading images</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-The-Texture-Interface.html">The Texture Interface</a></span><span class="refpurpose"> — Functions for creating and manipulating textures</span>
</dt>
</dl></dd>
<dt><span class="section"><a href="cogl-meta-textures.html">Meta Textures</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-High-Level-Meta-Textures.html">High Level Meta Textures</a></span><span class="refpurpose">Interface for high-level textures built from
                    low-level textures like <span class="type">CoglTexture2D</span> and
                    <span class="type">CoglTexture3D</span>.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Sub-Textures.html">Sub Textures</a></span><span class="refpurpose"> — Functions for creating and manipulating
                    sub-textures.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Sliced-Textures.html">Sliced Textures</a></span><span class="refpurpose"> — Functions for creating and manipulating 2D meta
                    textures that may internally be comprised of
                    multiple 2D textures with power-of-two sizes.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-X11-Texture-From-Pixmap.html">X11 Texture From Pixmap</a></span><span class="refpurpose"> — Functions for creating and manipulating 2D meta
                    textures derived from X11 pixmaps.</span>
</dt>
</dl></dd>
<dt><span class="section"><a href="cogl-primitive-textures.html">Primitive Textures</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Low-level-primitive-textures.html">Low-level primitive textures</a></span><span class="refpurpose">Interface for low-level textures like
                    <span class="type">CoglTexture2D</span> and <span class="type">CoglTexture3D</span>.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-2D-textures.html">2D textures</a></span><span class="refpurpose"> — Functions for creating and manipulating 2D textures</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-3D-textures.html">3D textures</a></span><span class="refpurpose"> — Functions for creating and manipulating 3D textures</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Rectangle-textures-(non-normalized-coordinates).html">Rectangle textures (non-normalized coordinates)</a></span><span class="refpurpose"> — Functions for creating and manipulating rectangle
                    textures for use with non-normalized coordinates.</span>
</dt>
</dl></dd>
<dt><span class="section"><a href="cogl-framebuffer-apis.html">Framebuffers</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-CoglFramebuffer---The-Framebuffer-Interface.html">CoglFramebuffer: The Framebuffer Interface</a></span><span class="refpurpose"> — A common interface for manipulating framebuffers</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-CoglOnscreen---The-Onscreen-Framebuffer-Interface.html">CoglOnscreen: The Onscreen Framebuffer Interface</a></span><span class="refpurpose"></span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Offscreen-Framebuffers.html">Offscreen Framebuffers</a></span><span class="refpurpose"> — Functions for creating and manipulating offscreen
                    framebuffers.</span>
</dt>
</dl></dd>
<dt><span class="section"><a href="cogl-utilities.html">Utilities</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Color-Type.html">Color Type</a></span><span class="refpurpose"> — A generic color definition</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Matrices.html">Matrices</a></span><span class="refpurpose"> — Functions for initializing and manipulating 4x4 matrices</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Matrix-Stacks.html">Matrix Stacks</a></span><span class="refpurpose"> — Functions for efficiently tracking many
                    related transformations</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-3-Component-Vectors.html">3 Component Vectors</a></span><span class="refpurpose"> — Functions for handling single precision float
                    vectors.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Eulers-(Rotations).html">Eulers (Rotations)</a></span><span class="refpurpose"> — Functions for initializing and manipulating
euler angles.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Quaternions-(Rotations).html">Quaternions (Rotations)</a></span><span class="refpurpose"> — Functions for initializing and manipulating
quaternions.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-GPU-synchronisation-fences.html">GPU synchronisation fences</a></span><span class="refpurpose"> — Functions for notification of command completion</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Versioning-utility-macros.html">Versioning utility macros</a></span><span class="refpurpose"> — Macros for determining the version of Cogl being used</span>
</dt>
</dl></dd>
<dt><span class="section"><a href="cogl-integration.html">Binding and Integrating</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-SDL-Integration.html">SDL Integration</a></span><span class="refpurpose"> — Integration api for the Simple DirectMedia
                    Layer library.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Main-loop-integration.html">Main loop integration</a></span><span class="refpurpose"> — Functions for integrating Cogl with an
  application's main loop</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-GType-Integration-API.html">GType Integration API</a></span><span class="refpurpose"></span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-GLES-2.0-context.html">GLES 2.0 context</a></span><span class="refpurpose"> — A portable api to access OpenGLES 2.0</span>
</dt>
</dl></dd>
</dl></div>
<div class="section">
<div class="titlepage"><div><div><h2 class="title" style="clear: both">
<a name="cogl-intro"></a>About Cogl</h2></div></div></div>
<p>Cogl is a modern 3D graphics API with associated utility
      APIs designed to expose the features of 3D graphics hardware
      using a more object oriented design than OpenGL. The library has
      primarily been driven by the practical needs of Clutter but it
      is not tied to any one toolkit or even constrained to developing
      UI toolkits.</p>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.18.1</div>
</body>
</html>